curl --request POST \
--url https://api.aisa.one/apis/v1/brave/web/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "<string>",
"country": "US",
"search_lang": "en",
"ui_lang": "en-US",
"count": 20,
"offset": 0,
"safesearch": "",
"spellcheck": "",
"freshness": "",
"text_decorations": "",
"result_filter": "",
"units": "",
"goggles_id": "<string>",
"goggles": "<string>",
"extra_snippets": "",
"summary": "",
"enable_rich_callback": "",
"include_fetch_metadata": "",
"operators": ""
}
'import requests
url = "https://api.aisa.one/apis/v1/brave/web/search"
payload = {
"q": "<string>",
"country": "US",
"search_lang": "en",
"ui_lang": "en-US",
"count": 20,
"offset": 0,
"safesearch": "",
"spellcheck": "",
"freshness": "",
"text_decorations": "",
"result_filter": "",
"units": "",
"goggles_id": "<string>",
"goggles": "<string>",
"extra_snippets": "",
"summary": "",
"enable_rich_callback": "",
"include_fetch_metadata": "",
"operators": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: '<string>',
country: 'US',
search_lang: 'en',
ui_lang: 'en-US',
count: 20,
offset: 0,
safesearch: '',
spellcheck: '',
freshness: '',
text_decorations: '',
result_filter: '',
units: '',
goggles_id: '<string>',
goggles: '<string>',
extra_snippets: '',
summary: '',
enable_rich_callback: '',
include_fetch_metadata: '',
operators: ''
})
};
fetch('https://api.aisa.one/apis/v1/brave/web/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "search",
"query": {
"original": "<string>",
"show_strict_warning": true,
"altered": "<string>",
"cleaned": "<string>",
"safesearch": true,
"is_navigational": true,
"is_geolocal": true,
"local_decision": "<string>",
"local_locations_idx": 123,
"is_trending": true,
"is_news_breaking": true,
"ask_for_location": true,
"language": {
"main": "<string>"
},
"spellcheck_off": true,
"country": "<string>",
"bad_results": true,
"should_fallback": true,
"lat": "<string>",
"long": "<string>",
"postal_code": "<string>",
"city": "<string>",
"header_country": "<string>",
"more_results_available": true,
"state": "<string>",
"custom_location_label": "<string>",
"reddit_cluster": "<string>",
"summary_key": "<string>",
"search_operators": {
"applied": false,
"cleaned_query": "<string>",
"sites": [
"<string>"
]
},
"related_queries": []
},
"discussions": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "en",
"family_friendly": true,
"type": "discussion",
"subtype": "generic",
"is_live": false,
"deep_results": {
"news": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"buttons": [
{
"title": "<string>",
"url": "<string>",
"type": "button_result"
}
],
"videos": [
{
"title": "<string>",
"url": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "video_result",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"publisher": "<string>"
}
],
"images": [
{
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"properties": {
"url": "<string>",
"resized": "<string>",
"placeholder": "<string>",
"height": 123,
"width": 123,
"format": "<string>",
"content_size": "<string>"
}
}
]
},
"schemas": [
"<unknown>"
],
"meta_url": {},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"location": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"restaurant": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"faq": {
"items": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
]
},
"qa": {
"question": "<string>",
"answer": {
"text": "<string>",
"author": "<string>",
"upvoteCount": 123,
"downvoteCount": 123
}
},
"book": {
"title": "<string>",
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"price": {
"price": "<string>",
"priceCurrency": "<string>"
},
"pages": 123,
"publisher": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"article": {
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"publisher": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"isAccessibleForFree": true
},
"product": {
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
},
"product_cluster": [
{
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
}
],
"cluster_type": "<string>",
"cluster": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
],
"creative_work": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"music_recording": {
"name": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
},
"review": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"description": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"type": "Review"
},
"recipe": {
"title": "<string>",
"description": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"domain": "<string>",
"favicon": "<string>",
"time": "<string>",
"prep_time": "<string>",
"cook_time": "<string>",
"ingredients": "<string>",
"instructions": [
{
"text": "<string>",
"name": "<string>",
"url": "<string>",
"image": [
"<string>"
]
}
],
"servings": 123,
"calories": 123,
"publisher": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"recipeCategory": "<string>",
"recipeCuisine": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
}
},
"software": {
"name": "<string>",
"author": "<string>",
"version": "<string>",
"codeRepository": "<string>",
"homepage": "<string>",
"datePublished": "<string>",
"is_npm": true,
"is_pypi": true,
"stars": 123,
"forks": 123,
"programmingLanguage": "<string>"
},
"organization": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"content_type": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
],
"data": {
"forum_name": "<string>",
"num_answers": 123,
"score": "<string>",
"title": "<string>",
"question": "<string>",
"top_comment": "<string>"
}
}
],
"type": "search",
"mutated_by_goggles": false
},
"faq": {
"results": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
],
"type": "faq"
},
"infobox": {
"results": [
{
"title": "<string>",
"url": "<string>",
"position": 123,
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "infobox",
"label": "<string>",
"category": "<string>",
"long_desc": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"attributes": [],
"profiles": [
{
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
}
],
"website_url": "<string>",
"ratings": [
{
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
],
"providers": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"distance": {
"value": 123,
"units": "<string>"
},
"images": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
],
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"subtype": "generic",
"found_in_urls": [
"<string>"
]
}
],
"type": "graph"
},
"locations": {
"results": [
{
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
}
],
"type": "locations",
"provider": {}
},
"mixed": {
"type": "mixed",
"main": [
{
"type": "<string>",
"index": 123,
"all": false
}
],
"top": [
{
"type": "<string>",
"index": 123,
"all": false
}
],
"side": [
{
"type": "<string>",
"index": 123,
"all": false
}
]
},
"news": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"type": "news",
"mutated_by_goggles": false
},
"videos": {
"results": [
{
"url": "<string>",
"title": "<string>",
"type": "video_result",
"description": "<string>",
"age": "<string>",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"video": {
"duration": "<string>",
"views": 123,
"creator": "<string>",
"publisher": "<string>",
"requires_subscription": true,
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
}
},
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"hostname": "<string>",
"favicon": "<string>",
"path": "<string>"
},
"thumbnail": {
"src": "<string>",
"original": "<string>"
}
}
],
"type": "videos",
"mutated_by_goggles": false
},
"web": {
"results": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "en",
"family_friendly": true,
"type": "search_result",
"subtype": "generic",
"is_live": false,
"deep_results": {
"news": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"meta_url": {},
"source": "<string>",
"breaking": false,
"is_live": false,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"buttons": [
{
"title": "<string>",
"url": "<string>",
"type": "button_result"
}
],
"videos": [
{
"title": "<string>",
"url": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "video_result",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"publisher": "<string>"
}
],
"images": [
{
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"properties": {
"url": "<string>",
"resized": "<string>",
"placeholder": "<string>",
"height": 123,
"width": 123,
"format": "<string>",
"content_size": "<string>"
}
}
]
},
"schemas": [
"<unknown>"
],
"meta_url": {},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"age": "<string>",
"location": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"restaurant": {
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
},
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
},
"movie": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"release": "<string>",
"directors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"actors": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"duration": "<string>",
"genre": [
"<string>"
],
"query": "<string>"
},
"faq": {
"items": [
{
"question": "<string>",
"answer": "<string>",
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
}
}
]
},
"qa": {
"question": "<string>",
"answer": {
"text": "<string>",
"author": "<string>",
"upvoteCount": 123,
"downvoteCount": 123
}
},
"book": {
"title": "<string>",
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"price": {
"price": "<string>",
"priceCurrency": "<string>"
},
"pages": 123,
"publisher": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"article": {
"author": [
{
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
}
],
"date": "<string>",
"publisher": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"isAccessibleForFree": true
},
"product": {
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
},
"product_cluster": [
{
"name": "<string>",
"price": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "Product",
"url": "<string>",
"category": "<string>",
"description": "<string>",
"offers": [],
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"gtin": "<string>",
"gtin8": "<string>",
"gtin12": "<string>",
"gtin13": "<string>",
"gtin14": "<string>"
}
],
"cluster_type": "<string>",
"cluster": [
{
"title": "<string>",
"url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
],
"creative_work": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
}
},
"music_recording": {
"name": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
},
"review": {
"name": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"description": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"type": "Review"
},
"recipe": {
"title": "<string>",
"description": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"url": "<string>",
"domain": "<string>",
"favicon": "<string>",
"time": "<string>",
"prep_time": "<string>",
"cook_time": "<string>",
"ingredients": "<string>",
"instructions": [
{
"text": "<string>",
"name": "<string>",
"url": "<string>",
"image": [
"<string>"
]
}
],
"servings": 123,
"calories": 123,
"publisher": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"recipeCategory": "<string>",
"recipeCuisine": "<string>",
"video": {
"duration": "<string>",
"views": "<string>",
"creator": "<string>",
"publisher": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"tags": [
"<string>"
],
"author": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"requires_subscription": true
}
},
"software": {
"name": "<string>",
"author": "<string>",
"version": "<string>",
"codeRepository": "<string>",
"homepage": "<string>",
"datePublished": "<string>",
"is_npm": true,
"is_pypi": true,
"stars": 123,
"forks": 123,
"programmingLanguage": "<string>"
},
"organization": {
"name": "<string>",
"type": "organization",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"contact_points": [
{
"name": "<string>",
"type": "contact_point",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"telephone": "<string>",
"email": "<string>"
}
]
},
"content_type": "<string>",
"extra_snippets": [
"<string>"
],
"icons": [
{
"href": "<string>",
"sizes": "<string>",
"rel": "<string>",
"type": "<string>",
"ext": "<string>"
}
]
}
],
"type": "search",
"family_friendly": true
},
"summarizer": {
"key": "<string>",
"type": "summarizer"
},
"rich": {
"type": "rich",
"hint": {
"vertical": "calculator",
"callback_key": "<string>"
}
}
}Web Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
The generic name of the client city.
The two letter country code for the client’s country. For a list of country codes, see ISO 3166-1 alpha-2.
AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CW, CX, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, YE, YT, ZA, ZM, ZW "US"
The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.
-90 <= x <= 9037.787
The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.
-180 <= x <= 180-122.4
The client’s postal code.
A code which could be up to three characters, that represent the client’s state/region. The region is the first-level subdivision (the broadest or least specific) of the ISO 3166-2 code.
"CA"
The name of the client’s state/region. The region is the first-level subdivision (the broadest or least specific) of the ISO 3166-2 code.
"California"
The IANA timezone for the client’s device. For complete list of IANA timezones and location mappings see IANA Database and Geonames Database.
Body
The user’s search query term. Query can not be empty. Maximum of 600 characters and 75 words in the query.
1 - 600The 2 character country code where the search results come from.
AR, AU, AT, BE, BR, CA, CL, DK, FI, FR, DE, GR, HK, IN, ID, IT, JP, KR, MY, MX, NL, NZ, NO, CN, PL, PT, PH, RU, SA, ZA, ES, SE, CH, TW, TR, GB, US, ALL The 2 or more character language code for which the search results are provided.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see RFC 9110.
es-AR, en-AU, de-AT, nl-BE, fr-BE, pt-BR, en-CA, fr-CA, es-CL, da-DK, fi-FI, fr-FR, de-DE, el-GR, zh-HK, en-IN, en-ID, it-IT, ja-JP, ko-KR, en-MY, es-MX, nl-NL, en-NZ, no-NO, zh-CN, pl-PL, en-PH, ru-RU, en-ZA, es-ES, sv-SE, fr-CH, de-CH, zh-TW, tr-TR, en-GB, en-US, es-US The number of search results returned in response. The maximum is 20. The actual number delivered may be less than requested. Combine this parameter with offset to paginate search results.
NOTE: Count only applies to web results.
1 <= x <= 20The zero based offset that indicates number of search result pages (count) to skip before returning the result. The default is 0 and the maximum is 9. The actual number delivered may be less than requested.
Use this parameter along with the count parameter to page results. For example, if your user interface displays 10 search results per page, set count to 10 and offset to 0 to get the first page of results. For each subsequent page, increment offset by 1 (for example, 0, 1, 2). It is possible for multiple pages to include some overlap in results.
0 <= x <= 9Filters search results for adult content. The following values are supported:
- off - No filtering is done.
- moderate - Filters explicit content, like images and videos, but allows adult domains in the search results.
- strict - Drops all adult content from search results.
off, moderate, strict ""
Whether to spell check provided query. If the spell checker is enabled, the modified query is always used for search. The modified query can be found in altered key from the query response model.
""
true
false
Filters search results by page age. The age of a page is determined by the most relevant date reported by the content, such as its published or last modified date. The following values are supported:
- pd - Pages aged 24 hours or less.
- pw - Pages aged 7 days or less.
- pm - Pages aged 31 days or less.
- py - Pages aged 365 days or less.
- YYYY-MM-DDtoYYYY-MM-DD - A custom date range is also supported by specifying start and end dates e.g.
2022-04-01to2022-07-30.
""
"pm"
"2022-04-01to2022-07-30"
Whether display strings (e.g. result snippets) should include decoration markers (e.g. highlighting characters).
""
true
false
A comma delimited string of result types to include in the search response.
Not specifying this parameter will return back all result types in search response where data is available
and the plan has the corresponding option activated. The response always includes query and type to
identify any query modifications and response type respectively.
Available result filter values are: discussions, faq, infobox, news, query, summarizer, videos, web, locations.
NOTE: count param only applies to web results.
""
The measurement units. The following values are supported:
- metric - The standardized measurement system (km, celcius…)
- imperial - The British Imperial system of units (mile, fahrenheit…)
imperial, metric ""
Goggles act as a custom re-ranking on top of Brave’s search index. For more details, refer to the Goggles repository. This parameter is deprecated. Please use the goggles parameter.
Goggles act as a custom re-ranking on top of Brave’s search index. The parameter supports both a url where the Goggle is hosted or the definition of the Goggle. For more details, see the Goggles documentation. The parameter can be a single Goggle or a list of up to 3 Goggles.
A snippet is an excerpt from a page you get as a result of the query, and extra_snippets allow you to get up to 5 additional, alternative excerpts.
""
This parameter enables summary key generation in web search results. This is required for summarizer to be enabled.
""
Enable rich callback. Allows you to get real time rich results via a callback URL when they are relevant to your query.
NOTE: Requires Search plan.
""
false
true
Include fetch metadata.
""
false
true
Whether to apply search operators
""
true
false
Response
Successful Response
search "search"Search query string and its modifications that are used for search.
Show child attributes
Show child attributes
Discussions clusters aggregated from forum posts that are relevant to the query.
Show child attributes
Show child attributes
Frequently asked questions that are relevant to the search query.
Show child attributes
Show child attributes
Aggregated information on an entity showable as an infobox.
Show child attributes
Show child attributes
Places of interest (POIs) relevant to location sensitive queries.
Show child attributes
Show child attributes
Preferred ranked order of search results.
Show child attributes
Show child attributes
News results relevant to the query.
Show child attributes
Show child attributes
Videos results relevant to the query.
Show child attributes
Show child attributes
Web results relevant to the query.
Show child attributes
Show child attributes
Summary key to get summary results for the query.
Show child attributes
Show child attributes
Callback information to retrieve rich results.
Show child attributes
Show child attributes